<mat-toolbar color="primary">
  <button mat-icon-button aria-label="Menu icon" (click)="toggleMenu()">
    <mat-icon>menu</mat-icon>
  </button>
  <h1>Company Logo</h1>
  <span class="spacer"></span>
  <button mat-icon-button aria-label="logout" (click)="logout()">
    <mat-icon>logout</mat-icon>
  </button>
</mat-toolbar>


<mat-sidenav-container autosize>
  <mat-sidenav [ngClass]="!isCollapsed ? 'expanded' : ''" [mode]="isMobile ? 'over' : 'side'"
    [opened]="isMobile ? 'false' : 'true'">

    <mat-nav-list>
      <!-- <a mat-list-item routerLink="/dashboard" routerLinkActive="active-list-item">
        <span class="entry">
          <mat-icon>home</mat-icon>
          <span *ngIf="!isCollapsed">Home</span>
        </span>
      </a> -->
      <a *ngFor="let link of sideBarLinks" mat-list-item routerLink="{{link.route}}" routerLinkActive="active-list-item"
        [routerLinkActiveOptions]="{exact:true}">
        <span class="entry">
          <mat-icon>{{link.icon}}</mat-icon>
          <span *ngIf="!isCollapsed">{{link.name}}</span>
        </span>
      </a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>